Bug 12956 - 'net ads changetrustpw' doesn't work
'net ads changetrustpw' doesn't work
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.6.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 16:01 UTC by Andreas Schneider
Modified: 2017-08-30 07:14 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.7 (2.71 KB, patch)
2017-08-14 07:01 UTC, Andreas Schneider
jra: review+
asn: review? (jra)
Details
patch for 4.6 (2.71 KB, patch)
2017-08-14 07:23 UTC, Andreas Schneider
asn: review? (slow)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-08-09 16:01:00 UTC
'net ads changetrustpw' doesn't work. The krb5_set_password() functions fails.

Fix will follow.
Comment 1 Andreas Schneider 2017-08-14 07:01:30 UTC
Created attachment 13469 [details]
patch for 4.7
Comment 2 Andreas Schneider 2017-08-14 07:23:25 UTC
Created attachment 13470 [details]
patch for 4.6
Comment 3 Jeremy Allison 2017-08-24 18:11:27 UTC
Re-assigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 4 Karolin Seeger 2017-08-28 08:37:42 UTC
Pushed to autobuild-v4-{6,7-}test.
Comment 5 Karolin Seeger 2017-08-30 07:14:46 UTC
Pushed to both branches.
Closing out bug report.

Thanks!